function c_suv = rgb2suv(c_rgb,s) 
%function c_suv = rgb2suv(c_rgb,s) 
%Converts an rgb vector or image to suv. 
%
%c_rgb = rgb image or vector.
%s     = Optional source color. Defaults to white light.  

if nargin <2 
    s = [1 1 1]'; 
    s = s/norm(s); 
end 
 
c_rgb = double(c_rgb); 

[R v w] = svd(s); % R' is the rotation matrix. 

sz = size(c_rgb); 
if(length(sz)==3) 
    c_rgb = reshape(c_rgb, sz(1)*sz(2),3);
    c_suv = -R'*c_rgb'; 
    c_suv = c_suv'; 
    c_suv = reshape(c_suv,sz(1),sz(2),3); 
    
else 
    c_suv = -R'*c_rgb;
end 
