function c_rgb = suv2rgb(c_suv,s) 
%function c_rgb = suv2rgb(c_suv,s) 
%Converts an suv vector or image to rgb. 
%
%c_suv = suv image or vector.
%s     = Optional source color. Defaults to white light.  

if nargin <2 
    s = [1 1 1]'; 
    s = s/norm(s); 
end 

c_suv = double(c_suv); 

[R v w] = svd(s); % R is the rotation matrix. 

sz = size(c_suv); 
if(length(sz)==3) 
    c_suv = reshape(c_suv, sz(1)*sz(2),3);
    c_rgb = -R*c_suv'; 
    c_rgb = c_rgb'; 
    c_rgb = reshape(c_rgb,sz(1),sz(2),3); 
    
else 
    c_rgb = -R*c_suv;
end 
